This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 604580 - Dual Head setup: Main Monitor goes out of range apparently randomly
Dual Head setup: Main Monitor goes out of range apparently randomly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 05:49 EDT by Tobias Mueller
Modified: 2011-06-27 14:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log which I don't consider to be interesting (15.82 KB, text/x-gzip)
2010-06-17 17:13 EDT, Tobias Mueller
no flags Details
dmesg which I don't consider to be interesting (479 bytes, text/x-gzip)
2010-06-17 17:13 EDT, Tobias Mueller
no flags Details
Another xorg log (36.86 KB, application/x-gzip)
2010-06-18 14:22 EDT, Tobias Mueller
no flags Details
Another dmesg which I don't consider to be interesting (454 bytes, text/x-gzip)
2010-06-18 14:24 EDT, Tobias Mueller
no flags Details
Another dmesg which I don't consider to be interesting (13.25 KB, application/x-gzip)
2010-06-23 11:49 EDT, Tobias Mueller
no flags Details
Another xorg log (16.12 KB, application/x-gzip)
2010-06-23 11:50 EDT, Tobias Mueller
no flags Details

  None (edit)
Description Tobias Mueller 2010-06-16 05:49:38 EDT
Description of problem:
In my dual head setup, the main monitor displays "Cannot display, please set resolution to 1680x1050@60". The system doesn't seem to realise that, i.e. xrandr still shows the correct resolution.
I can "fix" this by suspending and resuming, i.e. pm-suspend.
This issue seems to occur randomly, but mostly when I was inactive, i.e. after being idle a couple of hours. But it just did that while I was working on the machine.

Version-Release number of selected component (if applicable):


How reproducible:
Have Dual Head setup with ATi card and wait

Steps to Reproduce:
1. start machine
2. wait
3.
  
Actual results:
monitor can't display. Apparently, VGA card sends wrong resolution.

Expected results:
I expected the monitor to be able to display properly.

Additional info:
$ xrandr
Screen 0: minimum 320 x 200, current 2960 x 1050, maximum 8192 x 8192
DVI-0 connected 1680x1050+1280+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      60.0*+
   1600x1200      60.0  
   1280x1024      75.0     60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1152x864       75.0     70.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
DIN disconnected (normal left inverted right x axis y axis)
DVI-1 connected 1280x1024+0+26 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+   75.0     72.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
   640x350        70.1  


muelli@bigbox ~ $ cat /etc/X11/xorg.conf
# Xorg configuration created by livna-config-display

Section "ServerLayout"

#	Screen         "amdcccle-Screen[1]-1" 1280 0
	Identifier     "aticonfig Layout"
	Screen      0  "Screen0" 0 0
	Option	    "Xinerama" "off"
	Option	    "AIGLX" "on"
#        Option         "Clone"       "off"
EndSection

Section "Files"

EndSection

Section "Module"
	Load  "glx"
	Load  "dri"
	Load  "extmod"
EndSection

Section "ServerFlags"
	Option	    "Xinerama" "on"
	Option	    "AIGLX" "on"
EndSection

Section "Monitor"
	Identifier   "aticonfig-Monitor[0]-0"
	Option	    "VendorName" "ATI Proprietary Driver"
	Option	    "ModelName" "Generic Autodetecting Monitor"
	Option	    "DPMS" "true"
EndSection

Section "Monitor"
	Identifier   "amdcccle-Monitor[1]-1"
	Option	    "VendorName" "ATI Proprietary Driver"
	Option	    "ModelName" "Generic Autodetecting Monitor"
	Option	    "DPMS" "true"
EndSection

Section "Device"

#        Option      "Centermode" "on"
#	Driver      "fglrx"
	Identifier  "Videocard0"
	Driver      "ati"
	Option	    "AccelMethod" "EXA"
	Option	    "EnablePrivateBackZ"
#	Option	    "no_dri" "0"
#	Option	    "no_accel" "no"
#        Option      "UseFastTLS" "0"
	Option	    "PseudoColorVisuals" "off"
	BusID       "PCI:1:0:0"
EndSection

Section "Device"

#        Option      "Centermode" "on"
	Identifier  "amdcccle-Device[1]-1"
	Driver      "ati"
	Option	    "AccelMethod" "EXA"
	Option	    "EnablePrivateBackZ"
#	Option	    "no_dri" "0"
	Option	    "no_accel" "no"
#        Option      "UseFastTLS" "0"
	Option	    "PseudoColorVisuals" "off"
	BusID       "PCI:1:0:0"
	Screen      1
EndSection

Section "Screen"

#	SubSection "Display"
#		Viewport   0 0
#		Depth     24
#	EndSubSection
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "aticonfig-Monitor[0]-0"
	DefaultDepth     24
EndSection

Section "Screen"
	Identifier "amdcccle-Screen[1]-1"
	Device     "amdcccle-Device[1]-1"
	Monitor    "amdcccle-Monitor[1]-1"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

Section "DRI"
	Mode         0666
EndSection

Section "Extensions"
	Option	    "Composite" "Enable"
EndSection

muelli@bigbox ~ $ 

Some excerpts from /var/log/Xorg.0.log

(II) RADEON(0): Creating default Display subsection in Screen section
(--) RADEON(0): Chipset: "ATI Radeon HD 3600 XT" (ChipID = 0x9598)
(II) RADEON(0): Output DVI-0 using monitor section aticonfig-Monitor[0]-0
(II) Module fb: vendor="X.Org Foundation"
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Module exa: vendor="X.Org Foundation"
(II) EXA(0): Driver registered support for the following operations:
(II)         Composite (RENDER acceleration)
(II) RADEON(0): Acceleration enabled


I think this is the proprietary driver because I was not able to set the dual head up with the free driver :-(
Comment 1 Jerome Glisse 2010-06-16 08:30:45 EDT
Please attach full dmesg, xorg log, and try with removing the xorg conf. Also does it happens when power management suspend monitor after idle (you can change setting so that it takes less than a minute for pm to turn off monitor).
Comment 2 Tobias Mueller 2010-06-17 06:55:10 EDT
Hm. I was upgrading to Fedora 13 and the installer rebooted. However, an old kernel was loaded (2.6.32.14-127.fc12.x86_64) and I left the machine unattended for >5hrs. When I came back, the passphrase thing for my LUKS container was shown on one monitor and the other was, as described in the report, out of sync.

I just installed F13 and I'll try to observe whether it's still an issue. Based on the observation mentioned above, I don't believe it's an X.org issue though.
Comment 3 Tobias Mueller 2010-06-17 17:12:10 EDT
Here comes a dmesg and an Xorg.log just right after the screen blanked while I was working with the machine.

The power management settings (from system->preferences->power management) don't seem to have any effect on me. I set "Put display to sleep" to 1 minute but it didn't go blank or anything.
Comment 4 Tobias Mueller 2010-06-17 17:13:10 EDT
Created attachment 424953 [details]
Xorg log which I don't consider to be interesting
Comment 5 Tobias Mueller 2010-06-17 17:13:45 EDT
Created attachment 424956 [details]
dmesg which I don't consider to be interesting
Comment 6 Tobias Mueller 2010-06-18 14:22:44 EDT
Created attachment 425218 [details]
Another xorg log

It just happened again: The right monitor went out of sync while I was working (on the left monitor).
The log doesn't seem to be of any interest though.
Comment 7 Tobias Mueller 2010-06-18 14:24:24 EDT
Created attachment 425223 [details]
Another dmesg which I don't consider to be interesting

looks very uninteresting
Comment 8 Tobias Mueller 2010-06-23 11:48:22 EDT
I have removed the xorg.conf and I still experience the same issue. My right monitor just went from displaying something sane to "Cannot display this video mode, change computer display input to 1680x1050@60Hz."

That's what, according to xrandr, is set up:
muelli@bigbox ~ $ xrandr 
Screen 0: minimum 320 x 200, current 2960 x 1050, maximum 8192 x 8192
DVI-0 connected 1680x1050+1280+0 (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      60.0*+
   1600x1200      60.0  
   1280x1024      75.0     60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1152x864       75.0     70.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
DIN disconnected (normal left inverted right x axis y axis)
DVI-1 connected 1280x1024+0+26 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0 +   75.0*    72.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
   640x350        70.1  
muelli@bigbox ~ $ 


After a sudo pm-suspend and a resume, the monitor is back to normal. The xrandr output doesn't look any different.
Comment 9 Tobias Mueller 2010-06-23 11:49:07 EDT
Created attachment 426299 [details]
Another dmesg which I don't consider to be interesting
Comment 10 Tobias Mueller 2010-06-23 11:50:30 EDT
Created attachment 426301 [details]
Another xorg log
Comment 11 Tobias Mueller 2010-06-24 07:38:51 EDT
A
xrandr --output DVI-0 --off && xrandr --output DVI-0 --right-of DVI-1 --mode 1680x1050 


doesn't help it. I need to suspend/resume the machine in order to get the monitor back. The --off actually turns the monitor off, but resetting it yields in the same out-of-sync message.
Comment 12 Tobias Mueller 2010-08-20 23:26:20 EDT
Adjusting version field because it happens on F13.

I had to change video cards because I couldn't suspend/resume that often. And Fedora couldn't either: it kept freezing.

So given that my other video card works (some nvidia based), I'd say it's either my graphics cards fault (i.e. heat problems) or smth is fishy with the driver or X.Org.
Comment 13 Bug Zapper 2011-06-02 06:38:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-27 14:21:29 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.